org.eclipse.incquery.patternlanguage.patternLanguage

## Interface PatternLanguageFactory

- All Superinterfaces:
    org.eclipse.emf.ecore.EFactory, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier
  All Known Implementing Classes:
    PatternLanguageFactoryImpl

      public interface PatternLanguageFactory
      extends org.eclipse.emf.ecore.EFactory

  The Factory for the model. It provides a create method for each non-abstract class of the model.
  See Also:
    `PatternLanguagePackage`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static PatternLanguageFactory` | `eINSTANCE` The singleton instance of the factory.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `AggregatedValue` | `createAggregatedValue()` Returns a new object of class 'Aggregated Value'.
    `AggregatorExpression` | `createAggregatorExpression()` Returns a new object of class 'Aggregator Expression'.
    `Annotation` | `createAnnotation()` Returns a new object of class 'Annotation'.
    `AnnotationParameter` | `createAnnotationParameter()` Returns a new object of class 'Annotation Parameter'.
    `BoolValue` | `createBoolValue()` Returns a new object of class 'Bool Value'.
    `CheckConstraint` | `createCheckConstraint()` Returns a new object of class 'Check Constraint'.
    `CompareConstraint` | `createCompareConstraint()` Returns a new object of class 'Compare Constraint'.
    `ComputationValue` | `createComputationValue()` Returns a new object of class 'Computation Value'.
    `Constraint` | `createConstraint()` Returns a new object of class 'Constraint'.
    `CountAggregator` | `createCountAggregator()` Returns a new object of class 'Count Aggregator'.
    `DoubleValue` | `createDoubleValue()` Returns a new object of class 'Double Value'.
    `EntityType` | `createEntityType()` Returns a new object of class 'Entity Type'.
    `FunctionEvaluationValue` | `createFunctionEvaluationValue()` Returns a new object of class 'Function Evaluation Value'.
    `IntValue` | `createIntValue()` Returns a new object of class 'Int Value'.
    `ListValue` | `createListValue()` Returns a new object of class 'List Value'.
    `LiteralValueReference` | `createLiteralValueReference()` Returns a new object of class 'Literal Value Reference'.
    `LocalVariable` | `createLocalVariable()` Returns a new object of class 'Local Variable'.
    `Modifiers` | `createModifiers()` Returns a new object of class 'Modifiers'.
    `ParameterRef` | `createParameterRef()` Returns a new object of class 'Parameter Ref'.
    `PathExpressionConstraint` | `createPathExpressionConstraint()` Returns a new object of class 'Path Expression Constraint'.
    `PathExpressionElement` | `createPathExpressionElement()` Returns a new object of class 'Path Expression Element'.
    `PathExpressionHead` | `createPathExpressionHead()` Returns a new object of class 'Path Expression Head'.
    `PathExpressionTail` | `createPathExpressionTail()` Returns a new object of class 'Path Expression Tail'.
    `Pattern` | `createPattern()` Returns a new object of class 'Pattern'.
    `PatternBody` | `createPatternBody()` Returns a new object of class 'Pattern Body'.
    `PatternCall` | `createPatternCall()` Returns a new object of class 'Pattern Call'.
    `PatternCompositionConstraint` | `createPatternCompositionConstraint()` Returns a new object of class 'Pattern Composition Constraint'.
    `PatternModel` | `createPatternModel()` Returns a new object of class 'Pattern Model'.
    `RelationType` | `createRelationType()` Returns a new object of class 'Relation Type'.
    `StringValue` | `createStringValue()` Returns a new object of class 'String Value'.
    `Type` | `createType()` Returns a new object of class 'Type'.
    `ValueReference` | `createValueReference()` Returns a new object of class 'Value Reference'.
    `Variable` | `createVariable()` Returns a new object of class 'Variable'.
    `VariableReference` | `createVariableReference()` Returns a new object of class 'Variable Reference'.
    `VariableValue` | `createVariableValue()` Returns a new object of class 'Variable Value'.
    `PatternLanguagePackage` | `getPatternLanguagePackage()` Returns the package supported by this factory.

    - ### Methods inherited from interface org.eclipse.emf.ecore.EFactory

      `convertToString, create, createFromString, getEPackage, setEPackage`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EModelElement

      `getEAnnotation, getEAnnotations`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Field Detail

    - #### eINSTANCE

          static final PatternLanguageFactory eINSTANCE

      The singleton instance of the factory.

  - ### Method Detail

    - #### createPatternModel

          PatternModel createPatternModel()

      Returns a new object of class 'Pattern Model'.
      Returns:
        a new object of class 'Pattern Model'.

    - #### createPattern

          Pattern createPattern()

      Returns a new object of class 'Pattern'.
      Returns:
        a new object of class 'Pattern'.

    - #### createAnnotation

          Annotation createAnnotation()

      Returns a new object of class 'Annotation'.
      Returns:
        a new object of class 'Annotation'.

    - #### createAnnotationParameter

          AnnotationParameter createAnnotationParameter()

      Returns a new object of class 'Annotation Parameter'.
      Returns:
        a new object of class 'Annotation Parameter'.

    - #### createModifiers

          Modifiers createModifiers()

      Returns a new object of class 'Modifiers'.
      Returns:
        a new object of class 'Modifiers'.

    - #### createVariable

          Variable createVariable()

      Returns a new object of class 'Variable'.
      Returns:
        a new object of class 'Variable'.

    - #### createVariableReference

          VariableReference createVariableReference()

      Returns a new object of class 'Variable Reference'.
      Returns:
        a new object of class 'Variable Reference'.

    - #### createType

          Type createType()

      Returns a new object of class 'Type'.
      Returns:
        a new object of class 'Type'.

    - #### createPatternBody

          PatternBody createPatternBody()

      Returns a new object of class 'Pattern Body'.
      Returns:
        a new object of class 'Pattern Body'.

    - #### createConstraint

          Constraint createConstraint()

      Returns a new object of class 'Constraint'.
      Returns:
        a new object of class 'Constraint'.

    - #### createPatternCall

          PatternCall createPatternCall()

      Returns a new object of class 'Pattern Call'.
      Returns:
        a new object of class 'Pattern Call'.

    - #### createPathExpressionElement

          PathExpressionElement createPathExpressionElement()

      Returns a new object of class 'Path Expression Element'.
      Returns:
        a new object of class 'Path Expression Element'.

    - #### createValueReference

          ValueReference createValueReference()

      Returns a new object of class 'Value Reference'.
      Returns:
        a new object of class 'Value Reference'.

    - #### createLiteralValueReference

          LiteralValueReference createLiteralValueReference()

      Returns a new object of class 'Literal Value Reference'.
      Returns:
        a new object of class 'Literal Value Reference'.

    - #### createComputationValue

          ComputationValue createComputationValue()

      Returns a new object of class 'Computation Value'.
      Returns:
        a new object of class 'Computation Value'.

    - #### createAggregatorExpression

          AggregatorExpression createAggregatorExpression()

      Returns a new object of class 'Aggregator Expression'.
      Returns:
        a new object of class 'Aggregator Expression'.

    - #### createParameterRef

          ParameterRef createParameterRef()

      Returns a new object of class 'Parameter Ref'.
      Returns:
        a new object of class 'Parameter Ref'.

    - #### createLocalVariable

          LocalVariable createLocalVariable()

      Returns a new object of class 'Local Variable'.
      Returns:
        a new object of class 'Local Variable'.

    - #### createEntityType

          EntityType createEntityType()

      Returns a new object of class 'Entity Type'.
      Returns:
        a new object of class 'Entity Type'.

    - #### createRelationType

          RelationType createRelationType()

      Returns a new object of class 'Relation Type'.
      Returns:
        a new object of class 'Relation Type'.

    - #### createPatternCompositionConstraint

          PatternCompositionConstraint createPatternCompositionConstraint()

      Returns a new object of class 'Pattern Composition Constraint'.
      Returns:
        a new object of class 'Pattern Composition Constraint'.

    - #### createCompareConstraint

          CompareConstraint createCompareConstraint()

      Returns a new object of class 'Compare Constraint'.
      Returns:
        a new object of class 'Compare Constraint'.

    - #### createCheckConstraint

          CheckConstraint createCheckConstraint()

      Returns a new object of class 'Check Constraint'.
      Returns:
        a new object of class 'Check Constraint'.

    - #### createPathExpressionConstraint

          PathExpressionConstraint createPathExpressionConstraint()

      Returns a new object of class 'Path Expression Constraint'.
      Returns:
        a new object of class 'Path Expression Constraint'.

    - #### createPathExpressionHead

          PathExpressionHead createPathExpressionHead()

      Returns a new object of class 'Path Expression Head'.
      Returns:
        a new object of class 'Path Expression Head'.

    - #### createPathExpressionTail

          PathExpressionTail createPathExpressionTail()

      Returns a new object of class 'Path Expression Tail'.
      Returns:
        a new object of class 'Path Expression Tail'.

    - #### createIntValue

          IntValue createIntValue()

      Returns a new object of class 'Int Value'.
      Returns:
        a new object of class 'Int Value'.

    - #### createStringValue

          StringValue createStringValue()

      Returns a new object of class 'String Value'.
      Returns:
        a new object of class 'String Value'.

    - #### createBoolValue

          BoolValue createBoolValue()

      Returns a new object of class 'Bool Value'.
      Returns:
        a new object of class 'Bool Value'.

    - #### createDoubleValue

          DoubleValue createDoubleValue()

      Returns a new object of class 'Double Value'.
      Returns:
        a new object of class 'Double Value'.

    - #### createVariableValue

          VariableValue createVariableValue()

      Returns a new object of class 'Variable Value'.
      Returns:
        a new object of class 'Variable Value'.

    - #### createListValue

          ListValue createListValue()

      Returns a new object of class 'List Value'.
      Returns:
        a new object of class 'List Value'.

    - #### createFunctionEvaluationValue

          FunctionEvaluationValue createFunctionEvaluationValue()

      Returns a new object of class 'Function Evaluation Value'.
      Returns:
        a new object of class 'Function Evaluation Value'.

    - #### createAggregatedValue

          AggregatedValue createAggregatedValue()

      Returns a new object of class 'Aggregated Value'.
      Returns:
        a new object of class 'Aggregated Value'.

    - #### createCountAggregator

          CountAggregator createCountAggregator()

      Returns a new object of class 'Count Aggregator'.
      Returns:
        a new object of class 'Count Aggregator'.

    - #### getPatternLanguagePackage

          PatternLanguagePackage getPatternLanguagePackage()

      Returns the package supported by this factory.
      Returns:
        the package supported by this factory.